/**
 * @author WanJl
 * @version 1.0
 * @title Demo03
 * @description 结束循环的语句
 * @create 2026/7/15
 */
public class Demo03 {
    public static void main(String[] args) {
        /*
            有3种方式可以结束循环
            break;  结束循环，继续执行循环后面的代码
            continue;   结束本轮循环，继续执行下一轮循环。
            return; 结束方法，顺便结束循环
         */
        for (int i = 0; i < 10; i++) {
            if (i==3){
                continue;   //i==3的时候，结束本轮循环，也就是不执行输出语句了，继续执行下一轮循环
            }
            System.out.println(i);
        }
        System.out.println("---------------------------------------");
        for (int i = 0; i < 10; i++) {
            if (i==3){
                break;  //i==3的时候，结束循环，继续执行循环外的代码
            }
            System.out.println(i);
        }
        System.out.println(".....循环后的代码....");
        System.out.println("---------------------------------------");
        for (int i = 0; i < 10; i++) {
            if (i==3){
                return;  //i==3的时候，结束方法，顺便结束循环，循环后面的代码也不执行了
            }
            System.out.println(i);
        }
        System.out.println(".....循环后的代码....");
        System.out.println(".....循环后的代码....");
        System.out.println(".....循环后的代码....");
        System.out.println(".....循环后的代码....");
        System.out.println(".....循环后的代码....");

    }
}
